FiskilFiskilFiskil DocsFiskil Docs
Log InSign Up
GuidesAPI ReferenceChangelog

Mobile menu

HomeFiskilFiskil
Log InSign Up
Introduction

Getting Started

AuthenticationErrorsPagination

CORE RESOURCES

Linking Accounts

BANKING API

ENERGY API

IDENTITY

Get Scheduled Payments

Returns list of banking scheduled payments available under the authorised consent

AI Actions
GET
/v1/banking/payments/scheduled

Returns list of banking scheduled payments available under the authorised consent

Authorization

Token_header_Authorization
AuthorizationBearer <token>

In: header

Query Parameters

end_user_idstringrequired

A unique identifier for the End User object.

page[before]string

When the page[before] is specified, backwards pagination is achieved

page[after]string

When the page[after] is specified, forwards pagination is achieved

page[size]integer

When the page[size] is specified, no more than page[size] resources will be included in the response's data field. This parameter is set to a sensible default, which varies depending on the endpoint. It is capped at 1000.

Response Body

application/json

application/json

application/json

curl -X GET "https://api.fiskil.com/v1/banking/payments/scheduled?end_user_id=string"
{
  "scheduled_payments": [
    {
      "arrangement_id": "90bfd779-e8eb-4e9f-87b3-5191ba7332c2",
      "fiskil_id": "bank_sp_abcdef1234",
      "from": {
        "account_id": "123456789"
      },
      "institution_id": "40",
      "nickname": "Monthly Rent",
      "payee_reference": "REF123456",
      "payer_reference": "PAY123456",
      "payment_set": [
        {
          "amount": "100.00",
          "currency": "AUD",
          "is_amount_calculated": false,
          "to": {
            "account_id": "987654321",
            "biller": {
              "biller_code": "123456",
              "biller_name": "Electricity Co.",
              "crn": "987654321"
            },
            "digital_wallet": {
              "identifier": "user@example.com",
              "name": "John Doe",
              "provider": "PAYPAL_AU",
              "type": "EMAIL"
            },
            "domestic": {
              "account": {
                "account_name": "John Doe",
                "account_number": "12345678",
                "bsb": "062000"
              },
              "card": {
                "card_number": "4111111111111111"
              },
              "pay_id": {
                "identifier": "user@example.com",
                "name": "John Doe",
                "type": "EMAIL"
              },
              "payee_account_u_type": "account"
            },
            "international": {
              "bank_details": {
                "account_number": "1234567890",
                "bank_address": {
                  "address": "123 Bank St",
                  "name": "Bank of America"
                },
                "beneficiary_bank_bic": "BOFAUS3N",
                "chip_number": "987654321",
                "country": "USA",
                "fed_wire_number": "123456789",
                "legal_entity_identifier": "5493001KJTIIGC8Y1R12",
                "routing_number": "021000021",
                "sort_code": "404040"
              },
              "beneficiary_details": {
                "country": "USA",
                "message": "Payment for invoice #12345",
                "name": "Jane Doe"
              }
            },
            "nickname": "John Doe",
            "payee_id": "PAYEE123456",
            "payee_reference": "PAYEE_REF123",
            "to_utype": "accountId"
          }
        }
      ],
      "recurrence": {
        "event_based": {
          "description": "Payment due when invoice received"
        },
        "interval_schedule": {
          "final_payment_date": "2025-12-31",
          "intervals": [
            {
              "day_in_interval": "P1D",
              "interval": "P1W"
            }
          ],
          "non_business_day_treatment": "AFTER",
          "payments_remaining": 5
        },
        "last_week_day": {
          "final_payment_date": "2025-12-31",
          "interval": "P1M",
          "last_week_day": "FRI",
          "non_business_day_treatment": "ON",
          "payments_remaining": 10
        },
        "next_payment_date": "2024-09-30",
        "once_off": {
          "payment_date": "2024-12-25"
        },
        "recurrence_utype": "intervalSchedule"
      },
      "scheduled_payment_id": "SP123456",
      "status": "ACTIVE"
    }
  ],
  "links": {
    "next": "https://api.fiskil.com/v1/accounts?page[after]=x",
    "prev": "https://api.fiskil.com/v1/accounts?page[before]=x"
  }
}
{
  "id": "string",
  "message": "string",
  "name": "string"
}
{
  "id": "string",
  "message": "string",
  "name": "string"
}

Was this page helpful?

Get PayeesList products